# GroupsLogicInterface

interface GroupsLogicInterface

Interface GroupLogicInterface

## Methods

RESTClient
getGroups(int $start, int $end)

/groups

RESTClient
getGroupDetails(string $groupName)

/groups/[groupName]

RESTClient
getUserListOfGroup(string $groupName, int $start, int $end)

GET /groups/[groupName]/users

## Details

###
at line 55
`RESTClient getGroups(int $start, int $end)`

/groups

Returns all groups of the system.

#### Parameters

int | $start | start index
int | $end | end index

#### Return Value

RESTClient |

###
at line 67
`RESTClient getGroupDetails(string $groupName)`

/groups/[groupName]

Returns details of one group.

#### Parameters

string | $groupName | name of the group

#### Return Value

RESTClient |

###
at line 79
`RESTClient getUserListOfGroup(string $groupName, int $start, int $end)`

GET /groups/[groupName]/users

#### Parameters

string | $groupName | name of the group
int | $start | start index
int | $end | end index

#### Return Value

RESTClient |